<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS name="Candidate" package="performa.orm">
                
        <MULTIPLEREFERENCE  name="TestAnalysises"   type="TestAnalysis"     backreferenceName="Candidate"   />
        <MULTIPLEREFERENCE  name="Answers"          type="Answer"           backreferenceName="Candidate"   />
        <MULTIPLEREFERENCE  name="JobApplications"  type="JobApplication"   backreferenceName="Candidate"   />
        
        <TABLE  name="tl_candidate" tablePrefix="object"    polymorphic="FALSE">

            <ATTRIB name="FirstName"    type="String"   dbcol="first_name"  length="30"/>
            
            <SINGLEREFERENCE name="TestInput"   type="TestInput"    dbcol="test_input_id"   backreferenceName="Candidates"/>
        </TABLE>
                
        <SEARCH type="All"  paramFilter="tl_candidate.object_id is not null"    orderBy="tl_candidate.object_id" />

    </BUSINESSCLASS>
    
</ROOT>